### Hierarchy

- EventEmitter
  - Scope

## Index

### Properties

- delete
- get
- head
- intercept
- merge
- options
- patch
- post
- put

### Methods

- addListener
- defaultReplyHeaders
- done
- emit
- eventNames
- filteringPath
- filteringRequestBody
- getMaxListeners
- isDone
- listenerCount
- listeners
- log
- matchHeader
- off
- on
- once
- pendingMocks
- persist
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- replyContentLength
- replyDate
- restore
- setMaxListeners
- shouldPersist

## Properties

### delete

delete: InterceptFunction

- Defined in node_modules/@types/nock/index.d.ts:58

### get

get: InterceptFunction

- Defined in node_modules/@types/nock/index.d.ts:52

### head

head: InterceptFunction

- Defined in node_modules/@types/nock/index.d.ts:55

### intercept

intercept: function

- Defined in node_modules/@types/nock/index.d.ts:61

#### Type declaration

- - (uri: string | RegExp | function, method: string, requestBody?: string | RegExp | function | any, options?: Options): Interceptor

  - #### Parameters

    - ##### uri: string | RegExp | function

    - ##### method: string

    - ##### Optional requestBody: string | RegExp | function | any

    - ##### Optional options: Options

    #### Returns Interceptor

### merge

merge: InterceptFunction

- Defined in node_modules/@types/nock/index.d.ts:57

### options

options: InterceptFunction

- Defined in node_modules/@types/nock/index.d.ts:59

### patch

patch: InterceptFunction

- Defined in node_modules/@types/nock/index.d.ts:56

### post

post: InterceptFunction

- Defined in node_modules/@types/nock/index.d.ts:53

### put

put: InterceptFunction

- Defined in node_modules/@types/nock/index.d.ts:54

## Methods

### addListener

- addListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:579

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### defaultReplyHeaders

- defaultReplyHeaders(headers: HttpHeaders): this

- - Defined in node_modules/@types/nock/index.d.ts:69

  #### Parameters

  - ##### headers: HttpHeaders

  #### Returns this

### done

- done(): void

- - Defined in node_modules/@types/nock/index.d.ts:82

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:589

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  - Defined in node_modules/@types/node/globals.d.ts:594

  #### Returns Array<string | symbol>

### filteringPath

- filteringPath(regex: RegExp, replace: string): this
- filteringPath(fn: function): this

- - Defined in node_modules/@types/nock/index.d.ts:71

  #### Parameters

  - ##### regex: RegExp

  - ##### replace: string

  #### Returns this

- - Defined in node_modules/@types/nock/index.d.ts:72

  #### Parameters

  - ##### fn: function

    - - (path: string): string

      - #### Parameters

        - ##### path: string

        #### Returns string

  #### Returns this

### filteringRequestBody

- filteringRequestBody(regex: RegExp, replace: string): this
- filteringRequestBody(fn: function): this

- - Defined in node_modules/@types/nock/index.d.ts:73

  #### Parameters

  - ##### regex: RegExp

  - ##### replace: string

  #### Returns this

- - Defined in node_modules/@types/nock/index.d.ts:74

  #### Parameters

  - ##### fn: function

    - - (body: string): string

      - #### Parameters

        - ##### body: string

        #### Returns string

  #### Returns this

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:586

  #### Returns number

### isDone

- isDone(): boolean

- - Defined in node_modules/@types/nock/index.d.ts:83

  #### Returns boolean

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/globals.d.ts:590

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:587

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### log

- log(out: function): this

- - Defined in node_modules/@types/nock/index.d.ts:76

  #### Parameters

  - ##### out: function

    - - (message: any, ...optionalParams: any[]): void

      - #### Parameters

        - ##### message: any

        - ##### Rest ...optionalParams: any[]

        #### Returns void

  #### Returns this

### matchHeader

- matchHeader(name: string, value: string | RegExp | function): this

- - Defined in node_modules/@types/nock/index.d.ts:70

  #### Parameters

  - ##### name: string

  - ##### value: string | RegExp | function

  #### Returns this

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  - Defined in node_modules/@types/node/globals.d.ts:583

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string | symbol, listener: function): this

- Inherited from EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:580

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: string | symbol, listener: function): this

- Inherited from EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:581

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### pendingMocks

- pendingMocks(): string[]

- - Defined in node_modules/@types/nock/index.d.ts:85

  #### Returns string[]

### persist

- persist(flag?: undefined | false | true): this

- - Defined in node_modules/@types/nock/index.d.ts:77

  #### Parameters

  - ##### Optional flag: undefined | false | true

  #### Returns this

### prependListener

- prependListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:592

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:593

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  - Defined in node_modules/@types/node/globals.d.ts:588

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/globals.d.ts:584

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  - Defined in node_modules/@types/node/globals.d.ts:582

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### replyContentLength

- replyContentLength(): this

- - Defined in node_modules/@types/nock/index.d.ts:79

  #### Returns this

### replyDate

- replyDate(d?: Date): this

- - Defined in node_modules/@types/nock/index.d.ts:80

  #### Parameters

  - ##### Optional d: Date

  #### Returns this

### restore

- restore(): void

- - Defined in node_modules/@types/nock/index.d.ts:84

  #### Returns void

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:585

  #### Parameters

  - ##### n: number

  #### Returns this

### shouldPersist

- shouldPersist(): boolean

- - Defined in node_modules/@types/nock/index.d.ts:78

  #### Returns boolean

Generated using TypeDoc